Попробуйте самый простой и быстрый способ 
установки OnlyOffice

Ошибка nodejs

Проблемы, связанные с процессом установки

Ошибка nodejs

Сообщение Jon Madison » Пн фев 26, 2018 7:28 am

Доброго дня. Поствил onlyoffice-communityserver все хорошо. Но при установке onlyoffice-documentyserver выскакиевает ошибка nodejs ,
Код: Выделить всё
 sudo apt-get install onlyoffice-documentserver
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 onlyoffice-documentserver : Зависит: nodejs (<= 7.0.0) но 8.9.4-1nodesource1 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

сам nоdejs установлен
Код: Выделить всё
nodejs -v
v8.9.4

и соответственно
Код: Выделить всё
 nvm list
->       v6.0.0
         v6.9.1
        v6.10.3
         v8.1.0
         system
default -> 6.0 (-> v6.0.0)
node -> stable (-> v8.1.0) (default)
stable -> 8.1 (-> v8.1.0) (default)
iojs -> N/A (default)
Jon Madison
 
Сообщения: 2
Зарегистрирован: Пт фев 16, 2018 6:39 am

Re: Ошибка nodejs

Сообщение Alexander_mb » Вт мар 13, 2018 1:55 pm

Здравствуйте, Jon Madison,

Приносим свои извинения за долгий ответ.

Попробуйте установить nodejs версии 6, но не меньше чем v6.9.1
Alexander_mb
 
Сообщения: 77
Зарегистрирован: Вт авг 08, 2017 2:03 pm


Вернуться в Проблемы при установке

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1